extends Control

export var clickable = true
signal click(arg)

func _ready():
	$Button.connect('button_down',self,'_on_Button_button_down')

func _on_Button_button_down():
	if clickable:
		var dict = {}
		for x in $HBoxContainer.get_children():
			dict[x.name] = x.text
#		print(dict)
		emit_signal("click",dict)
	pass # Replace with function body.
